FROM gitlab-registry.cern.ch/linuxsupport/cc7-base

# System update
RUN yum update -y

# Required repositories
RUN yum install -y epel-release centos-release-scl

# Tools
RUN yum install -y \
    openssh-clients \
    pandoc \
    python-rpm-macros \
    rh-git218 \
    rh-python38 \
    rpm-build \
    rsync

# Poetry
RUN curl -sSL https://install.python-poetry.org | POETRY_HOME=/opt/poetry/ POETRY_VERSION=1.4.2 scl enable rh-python38 "python3 -"

# We squash all layers, so need to clean up only at the end
RUN yum clean all
